> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loop Lineage

> Regulator trace-back for *loop_id* (§3.3).

Returns:
  loop_id            — the canonical loop identifier
  membership         — the cluster row: kind, theta, member_ids, member_count,
                       parent_theme_id, component_label
  loop_ledger        — list of identity-ledger entries (vote tallies, mint reason)
  bridge_flags       — robustness verdict(s) for this loop
  graph_edges        — paginated record_graph_edges (term/cos/process provenance)
                       shaped as {data: [...], page: {total, ...}}
  feature_snapshot   — snapshot header: snapshot_hash, embed digest, config_version
  theme_version      — frozen theme label + ancestry (None if unavailable)



## OpenAPI

````yaml /openapi.json get /v1/lineage/loops/{loop_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/lineage/loops/{loop_id}:
    get:
      tags:
        - lineage
      summary: Get Loop Lineage
      description: |-
        Regulator trace-back for *loop_id* (§3.3).

        Returns:
          loop_id            — the canonical loop identifier
          membership         — the cluster row: kind, theta, member_ids, member_count,
                               parent_theme_id, component_label
          loop_ledger        — list of identity-ledger entries (vote tallies, mint reason)
          bridge_flags       — robustness verdict(s) for this loop
          graph_edges        — paginated record_graph_edges (term/cos/process provenance)
                               shaped as {data: [...], page: {total, ...}}
          feature_snapshot   — snapshot header: snapshot_hash, embed digest, config_version
          theme_version      — frozen theme label + ancestry (None if unavailable)
      operationId: get_loop_lineage_v1_lineage_loops__loop_id__get
      parameters:
        - in: path
          name: loop_id
          required: true
          schema:
            title: Loop Id
            type: string
        - in: query
          name: edges_limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Edges Limit
            type: integer
        - in: query
          name: edges_cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Edges Cursor
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Get Loop Lineage V1 Lineage Loops  Loop Id  Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````